Access Control - List Users
테넌트 범위 내에서 역할이 할당된 모든 보안 주체(사용자)를 가져옵니다.
GET https://prod.core.sphere.azure.net/v2/tenants/{tenantId}/users
URI 매개 변수
| Name | In(다음 안에) | 필수 | 형식 | Description |
|---|---|---|---|---|
|
tenant
|
path | True |
string uuid |
역할을 가져올 테넌트 ID입니다. |
응답
| Name | 형식 | Description |
|---|---|---|
| 200 OK |
성공. |
예제
List users
Sample Request
GET https://prod.core.sphere.azure.net/v2/tenants/768c2cd6-1bf0-4521-9f53-084a331d81cb/users
Sample Response
{
"TenantId": "768c2cd6-1bf0-4521-9f53-084a331d81cb",
"Principals": [
{
"PrincipalId": "474dfa25-a681-4bda-9932-7d42354c944d",
"DisplayName": "Avery Howard",
"Mail": "avery@contoso.com",
"Roles": [
"Administrator",
"Contributor"
]
},
{
"PrincipalId": "599c0db8-e54a-4ccf-9c39-67cc22038597",
"DisplayName": "Parker Jones",
"Mail": "parker@contoso.com",
"Roles": [
"Contributor"
]
}
]
}
정의
| Name | Description |
|---|---|
|
Access |
|
|
Access |
AccessControlPrincipal
| Name | 형식 | Description |
|---|---|---|
| DisplayName |
string |
사용자의 연결된 표시 이름을 가져오거나 설정합니다. |
|
string |
사용자의 연결된 전자 메일을 가져오거나 설정합니다. |
|
| PrincipalId |
string |
사용자/서비스 주체의 보안 주체 ID를 가져오거나 설정합니다. |
| Roles |
string[] |
다른 PrincipalId가 할당된 역할을 가져오거나 설정합니다. |
AccessControlPrincipalsResponse
| Name | 형식 | Description |
|---|---|---|
| Principals |
이 테넌트에서 역할이 할당된 보안 주체의 컬렉션을 가져오거나 설정합니다. |
|
| TenantId |
string |
Azure Sphere 테넌트 ID를 가져오거나 설정합니다. |